apiVersion: v1
kind: ServiceAccount
metadata:
  name: gpu-burnin
  namespace: kube-amd-gpu
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: burnin-node-patcher
rules:
- apiGroups: [""]
  resources: ["nodes"]
  verbs: ["get","list","watch","patch","update"]
- apiGroups: [""]
  resources: ["pods","pods/log"]
  verbs: ["get","list","watch"]
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: burnin-node-patcher-binding
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: burnin-node-patcher
subjects:
- kind: ServiceAccount
  name: gpu-burnin
  namespace: kube-amd-gpu